.region-selector {
    @include media(lg) {
        padding-bottom: 0px;
    }

    @include media(md) {
        //padding-bottom: 40px;
    }

    .container > .flex {
        @include media(lg) {
            flex-direction: column;
        }
    }

    .flex {
        .block-title {
            margin-bottom: 0;
            @include media(sm) {
                font-size: 1.5rem;
            }

            &.secondary {
                margin-top:10px;
                padding-left: 10px;

                @include media(lg) {
                    padding-left: 0px;
                }
            }
        }

        .region-select {
            display: none;
        }

        .selectric-region-select {
            flex-basis: 0;
            flex-grow: 1;
            max-width: 370px;
            z-index: 4;

            border: 0;
            margin-left: 1em;
            margin-bottom: 0;

            @include media(lg) {
                max-width: 100%;
                margin-left: 0;
                margin-top: 1em;
            }
            
            .selectric {
                @apply bg-richsred; 
                @apply font-black;
                text-transform: uppercase;
                border: 0;

                .label {
                    color: #fff;
                }

                .button {
                    @apply bg-richsred;

                    &:after  {
                        border-top-color: #fff;
                    }
                }
            }

            .selectric-items {
                border: 0;
                top: 0;
                .selectric-scroll {
                    ul {
                        li {
                            @apply bg-richsred;
                            @apply font-black;
                            color: #fff;
                            text-transform: uppercase;

                            &:hover {
                                background-color: #fff;
                                @apply text-richsred;
                            }
                        }
                    }
                }
            }
        }
    }

    .region-page-dropdown {
        flex-basis: 0;
        flex-grow: 1;
        max-width: 370px;
        z-index: 4;
        margin-left: 1em;

        @include media(lg) {
            margin-left: 0;
            margin-top: 1em;
            width: 100%;
            max-width: 100%;
        }

        .selected-region {
            @apply font-black bg-richsred;
            color: #fff;
            text-transform: uppercase;
            font-size: 0.75rem;
            line-height: 38px;
            padding-left: 10px;
            padding-right: 40px;
            position: relative;
            cursor: pointer;

            &::before {
                @include font-awesome("\f0d7");
                position: absolute;
                top: 0;
                right: 15px;
            }

            &.active {
                &::after {
                    content: '';
                    width: 0;
                    height: 0;
                    position: absolute;
                    border-style: solid;
                    border-width: 0 15px 20px 15px;
                    border-color: transparent transparent white transparent;
                    bottom: -32px;
                    border-bottom-color: #d31145;
                    left: 50%;
                    transform: translateX(-50%);
                }
            }
        }

        .pop-up {
            @include box-shadow();
            position: absolute;
            width: 90vw;
            max-width: 770px;
            transform: translateX(-50%);
            left: 50%;
            animation: fadein 300ms;
            padding-bottom: 0;
            display: block;
            z-index: 4;
            border: 5px solid theme('colors.richsred');

            @include media(lg) {
                left: auto;
                transform: none;
            }
    
            &::before{
                content: none;
            }

            @keyframes fadein {
                from { opacity: 0; }
                to   { opacity: 1; }
            }

            .flex {
                display: flex;
                flex-wrap: wrap;
                justify-content: flex-start;
                margin-right: -1rem;

                @include media(sm) {
                    margin-right: 0;
                }
            }

            .col {
                &:nth-of-type(-n+3) {
                    width: calc(33.333% - 1rem);
                    @include media(sm) {
                        width: 100%;
                    }
                }
                width: calc(25% - 1rem);
                margin-right: 1rem;
                background-color: #fff;
                padding-bottom: 10px;

                @include media(sm) {
                    width: 100%;
                    margin-right: 0px;

                    + .col {
                        margin-top: 0rem;
                    }
                }
            }

            .link-list {
                a {
                    color: #000;
                    opacity: 1;
                    transition: opacity 0.3s;

                    &:hover {
                        opacity: 0.8;
                    }
                }
            }

            .button-container {
                flex-grow: 1;
                display: flex;
                flex-direction: column;
                margin-right: 30px;
                margin-bottom: 30px;

                a {
                    align-self: flex-end;
                    margin-left: auto;
                    margin-top: auto;
                }
            }

            .text-with-border {
                @apply border-richsred;
            }
        }
    }
}